[Experimetal] kodi Downloads (erledigt)

  • Dieser Thread ist nur für kodi Downloads gedacht.


    Pakete, Addons, tvheadend, zip files, libs, configs usw.


    Alles anderen Posts bitte weiterhin hier in Kodi-17 - mipsel/armhf - ab OE2.5 oder in entsprechenden Threads im Bereich Drambox Kodi (DreamOS)


    Für Images mit aktueller 'Firmware (unstable)' dreamOS 2.5 - DM900 / DM920, DM820 / DM7080


    -----------------------------------------------------------
    Den Anfang machen die
    Nightly Builds - armhf/mipsel
    Nightly Builds werden immer aktualisiert wenn sich an kodi (git) etwas ändert, oder Änderungen von emanuel (GstPlayer) vorliegen!


    17.6 Git:2018-03-01-7e52c1d-dirty Media Center Kodi
    Copyright (C) 2005-2013 Team Kodi - http://kodi.tv


    kodi changelog


    ------------------------------------------------------------
    Neu 01.03.2018
    Einstellungen für CRASHLOG_DIR und USERDATA_DIR Zum Thread
    ------------------------------------------------------------


    Anleitung:
    Gilt für armhf/mipsel es müssen nur die zur jeweiligen Box passenden Pakete gewählt werden.


    DM900 / DM920 = armhf
    DM820 / DM7080 = mipsel


    kodi Depends

    Code
    [CODE]Depends: libgcc1 (>= 5.3.0), libssl1.0.0 (>= 1.0.2h), libpython2.7-1.0 (>= 2.7.11), libmysqlclient18 (>= 5.5.50), libidn11 (>= 1.32), libpcrecpp0 (>= 8.38), libxml2 (>= 2.9.4), libdbus-1-3 (>= 1.10.6), libz1 (>= 1.2.8), libudev1 (>= 230+git0+3a74d4fc90), libfreetype6 (>= 2.6.3), libtag1 (>= 1.9.1), libyajl2 (>= 2.1.0), libasound2 (>= 1.1.0), libxslt (>= 1.1.28), libssh (>= 0.7.3), libatomic1 (>= 5.3.0), libgpg-error0 (>= 1.21), bluez5 (>= 5.37), libgnutls30 (>= 3.4.9), libsqlite3-0 (>= 3.11.0), libavahi-common3 (>= 0.6.32), libglib-2.0-0 (>= 2.46.2), libbz2-1 (>= 1.0.6), libtinyxml2.6.2 (>= 2.6.2), libcap2 (>= 2.24), libstdc++6 (>= 5.3.0), libgmp10 (>= 6.1.0), libpcre1 (>= 8.38), libsmbclient0 (>= 4.4.5), libfribidi0 (>= 0.19.2), libc6 (>= 2.23), libcdio16 (>= 0.93), libgstpbutils-1.0-0 (>= 1.6.4), libavahi-client3 (>= 0.6.32), libgcrypt (>= 1.6.5), libmicrohttpd10 (>= 0.9.34), libcrypto1.0.0 (>= 1.0.2h), liblzo2-2 (>= 2.09), libuuid1 (>= 2.27.1), nettle (>= 3.2), libvc5dream (>= 1.0.5), libexpat1 (>= 2.1.0), gstreamer1.0 (>= 1.6.4), lcms (>= 2.7)


    kodi Recommends

    Code
    Recommends: glibc-charmap-ibm850, glibc-gconv-utf-32, glibc-localedata-en-us, python-shell, python, python-json, python-html, python-ctypes, python-difflib, glibc-gconv-ibm850, glibc-gconv-unicode, libcurl4, libcec4, python-compression, python-zlib, python-sqlite3, python-re, python-lang, python-netclient, glibc-charmap-utf-8


    Grundinstallation:
    Pakete nach /tmp auf die Box laden (FTPen)
    kodi
    libkodiplatform17.0
    enigma2-plugin-extensions-kodimediacenter
    kodi-addon-pvr-vuplus
    libmicrohttpd10
    libmysqlclient18
    libnfs1
    libssh
    libtinyxml2.6.2
    libyajl2
    gstreamer1.0-libav
    Und Siehe oben in den Depends und Recommends.


    Remote CLI (telnet oder ssh)

    Code
    apt update
    apt upgrade
    apt install gstreamer1.0-plugins-base-apps gdb glibc-charmap-ibm850 glibc-gconv-utf-32 glibc-localedata-en-us python-shell python python-json python-html python-ctypes python-difflib glibc-gconv-ibm850 glibc-gconv-unicode libcurl4 libcec4 python-compression python-zlib python-sqlite3 python-re python-lang python-netclient glibc-charmap-utf-8
    apt install libswscale4 libpostproc54 libavfilter6
    apt install kernel-module-cdc-acm
    dpkg -i /tmp/*.deb
    apt -f install


    Schauen ob alles erfolgreich war, sonst fehlende Pakete nach /tmp FTPen

    Code
    dpkg -i /tmp/*.deb
    apt -f install


    Das solange wiederholen bis alles erfolgreich Installiert wurde.


    Optional/Erweitert:
    Pakete nach /tmp auf die Box laden (FTP)


    Optional:
    kodi addons


    Optional:
    Repository's


    Optional:
    Skin für enigma2 - Skin Zombi.FullHDR3 only DreamOS


    Display Ausgabe bei UPnP Wiedergabe - enigma2-plugin-systemplugins-displayskin


    gruß pclin


    UPDATE ( 10 ):
    17.6-RC1 2018-03-01
    Neu: kodi armhf mit EGL-Patch von emanuel für DM920
    Danke emanuel
    Ist also jetzt für DM900 und DM920 geeignet.

    Edited 187 times, last by pclin ().

  • Addons - armhf (DM900/DM920)
    PackageArch: cortexa15hf-neon-vfpv4

    Edited 22 times, last by pclin ().

  • libs - armhf (DM900)
    PackageArch: cortexa15hf-neon-vfpv4


    Für den 'normalen' Betrieb werden nicht alle Pakete benötigt!
    Einiges ist Optional.
    Wer Platz hat kann natürlich alles installieren.

    Edited 15 times, last by pclin ().

  • tvheadend - armhf/mipsel


    Code
    Depends: libssl1.0.0 (>= 1.0.2h), libdvben50221, libdvbapi, libavahi-common3 (>= 0.6.32), libdbus-1-3 (>= 1.10.6), libz1 (>= 1.2.8), libdvbcsa1, libavahi-client3 (>= 0.6.32), libcrypto1.0.0 (>= 1.0.2h), libucsi, liburiparser1 (>= 0.8.5), libc6 (>= 2.23)


    Non-Standard Pakete sind hier im Thread.


    Kopiert eure satellites.xml nach /usr/share/tvheadend/data


    Code
    [23:04 root@dm900 ~] > tvheadend --version
    tvheadend: version 4.3-1252~g595fd17-dirty


    4.3-1252 wieder entfernt, hatte Probleme mit

    Code
    linuxdvb: unsupported CAM type


    4.3 geht das ohne die Meldung...

    Edited 18 times, last by pclin ().

  • config - armhf/mipsel


    Meine Default /root/.kodi/userdata/playercorefactory.xml


    Bei DM820/7080 |2160 löschen!


    Im Download ist eine playercorefactory.xml bei der einige Audio Formate 'Default' mit UPnP Player dm900 abgespielt werden, wenn das in kodi System Einstellungen / Dienste / UPnP/DLNA aktiviert ist(Nach UPnP-Wiedergabegeräten suchen).
    Ist es inaktiv werden die file Zuordnung ignoriert!


    Bei 920/820/7080 entsprechend 900 gegen 920, 820 oder 7080 austauschen.


    ----------------------------
    Die keymap.xml kommt nach /usr/share/kodi/system/keymaps, damit werden bei USB-Tastaturen zusätzlich die F-Tasten und W = Wetter belegt.

    Edited 14 times, last by pclin ().

  • bin - armhf (DM900 / DM920)
    PackageArch: cortexa15hf-neon-vfpv4


    Für den 'normalen' Betrieb werden nicht alle Pakete benötigt!
    Einiges ist Optional.
    Wer Platz hat kann natürlich alles installieren.


    java openjdk-8 stammt von @b_s101 (oozoon-board). Vielen Dank für die Bereitstellung! :thx:


    Nach Installation von openjdk-8

    Code
    export JAVA_HOME=/usr/lib/jvm/java-1.8.0-openjdk-armhf


    Das setzt man am besten in /etc/profile, damit die environment variable immer bei System Start gesetzt wird.

    Edited 18 times, last by pclin ().

  • plugins - armhf/mipsel

    Edited 5 times, last by pclin ().

  • zip - armhf/mipsel


    Hier in zip kommen files rein die zusammengefasste .deb pakete enthalten.
    Weiterhin können die files auch nur bin/libs enthalten, die man nach dem entpacken in die entsprechenden Ordner auf die Box kopieren muss.


    -------------------------------------


    Die avahi pakete sind mit libdns-sd1gebaut. Das benötigt man wenn man shairplay oder shairport-sync benutzen möchte (Apple Audio Wiedergabe, IOS iTunes usw.)


    --------------------------------------


    Shairport Sync
    shairport-sync-metadata-reader


    Shairport Sync is an AirPlay audio player – it plays audio streamed from iTunes, iOS and macOS devices and AirPlay sources such as Quicktime Player and ForkedDaapd, among others.
    /lib/systemd/system/shairport-sync.service


    Jetzt kann man mit
    > systemctl enable shairport-sync ' Bei systemstart laden '
    > systemctl disable shairport-sync ' Bei systemstart nicht laden '
    > systemctl start shairport-sync ' Einmalig starten '
    > systemctl restart shairport-sync ' neustarten '
    > systemctl stop shairport-sync ' Stoppen '


    Metadaten erhält man mit shairport-sync-metadata-reader

    Edited 13 times, last by pclin ().

  • scripts - armhf/mipsel

    Edited 4 times, last by pclin ().

  • Addons - mipsel (DM820/DM7080)
    PackageArch: mips32el

    Edited 12 times, last by pclin ().

  • libs - mipsel (DM820/DM7080)
    PackageArch: mips32el


    Für den 'normalen' Betrieb werden nicht alle Pakete benötigt!
    Einiges ist Optional.
    Wer Platz hat kann natürlich alles installieren.

    Edited 12 times, last by pclin ().

  • bin - mipsel (DM820/DM7080)
    PackageArch: mips32el


    Für den 'normalen' Betrieb werden nicht alle Pakete benötigt!
    Einiges ist Optional.
    Wer Platz hat kann natürlich alles installieren.


    java openjdk-8 stammt von @b_s101 (oozoon-board). Vielen Dank für die Bereitstellung! :thx:


    Nach Installation von openjdk-8

    Code
    export JAVA_HOME=/usr/lib/jvm/java-1.8.0-openjdk-mipsel


    Das setzt man am besten in /etc/profile, damit die environment variable immer bei System Start gesetzt wird.

    Edited 14 times, last by pclin ().

  • png/svg - armhf/mipsel

    Files

    • Splash.png

      (1.99 MB, downloaded 14,584 times, last: )
    • xbmc.svg

      (1.91 kB, downloaded 64 times, last: )
  • python - armhf/mipsel


    ---------------
    EDIT:
    Es reicht die urllib2.py zu tauschen!
    ---------------


    Mit der modifizierten urllib.py können viele Video Addons verwendet werden.


    Die urlib.py nach /usr/lib/python2.7 kopieren.


    Folgender code: wurde in die urllib.py hinzugefügt

    Edited 8 times, last by pclin ().

  • Addons - armhf (DM900)
    PackageArch: dm900


    ab:
    libkodiplatform17.0_17.6

    Edited 2 times, last by pclin ().

  • Addons - mipsel (DM820/DM7080)
    PackageArch: mips32el


    ab:
    libkodiplatform17.0_17.6

    Edited once, last by pclin ().

  • Wo sind denn die ganzen Downloads hin oder bin ich blind ?